Bug 238992 - system-config-users enters a loop when you try to add an existing user to an existing group
system-config-users enters a loop when you try to add an existing user to an ...
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-users (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
: EasyFix, Patch, Regression
: 245072 246752 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2007-05-04 07:28 EDT by Ralph Angenendt
Modified: 2010-10-22 10:43 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0690
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-15 11:03:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
backported patch that should fix the problem (599 bytes, patch)
2007-05-04 08:18 EDT, Nils Philippsen
no flags Details | Diff
Errors found when starting and using the tool (4.77 KB, text/plain)
2007-09-05 09:19 EDT, J. Erik Hemdal
no flags Details

  None (edit)
Description Ralph Angenendt 2007-05-04 07:28:50 EDT
Description of problem:

system-config-users enters a loop when you try to add an existing user to an
existing group

Version-Release number of selected component (if applicable):

system-config-users-1.2.27-0.EL4.4 - system-config-users-1.2.27-0.EL4.1 seems to
work fine.

How reproducible:


Steps to Reproduce:

Start up system-config-users.

Select the "groups" tab.

Select a group

Click on "Properties"

Click the "Group Users" tab.

Try to add a user to the group by setting a check next to the users name.

Click "OK"

Actual results:

system-config-users throws a traceback:

Traceback (most recent call last):
  File "/usr/share/system-config-users/groupProperties.py", line 110, in
    if not userGroupCheck.isGroupnameOk(newGroupName, self.groupWinGroupName):
  File "/usr/share/system-config-users/userGroupCheck.py", line 121, in
    return isUserGroupNameOk ('group', name, widget)
NameError: global name 'name' is not defined

Expected results:

The user gets added to the group.

Additional info:

This bug has been found on CentOS http://bugs.centos.org/view.php?id=2013 and
could be reproduced on RHEL4. I'm putting a link from there to this bug also.
Comment 1 Nils Philippsen 2007-05-04 08:12:03 EDT
Same as bug #169730 in Fedora.
Comment 2 Nils Philippsen 2007-05-04 08:18:35 EDT
Created attachment 154109 [details]
backported patch that should fix the problem
Comment 4 RHEL Product and Program Management 2007-05-04 08:25:01 EDT
This bugzilla has Keywords: Regression.  

Since no regressions are allowed between releases, 
it is also being proposed as a blocker for this release.  

Please resolve ASAP.
Comment 7 Nils Philippsen 2007-06-21 08:53:12 EDT
*** Bug 245072 has been marked as a duplicate of this bug. ***
Comment 10 Jay Turner 2007-07-05 10:15:17 EDT
QE ack for RHEL4.6. Easy fix and obviously correct.
Comment 11 Ralph Angenendt 2007-07-05 10:41:38 EDT
Comment 12 Nils Philippsen 2007-07-05 10:47:45 EDT
*** Bug 246752 has been marked as a duplicate of this bug. ***
Comment 19 J. Erik Hemdal 2007-09-05 09:19:03 EDT
Created attachment 187391 [details]
Errors found when starting and using the tool

I encountered a similar issue with system-config-users but under slightly
different circumstances.


1.  In the list of existing groups shown in the s-c-u window under the Groups
tab, some group entries appear two or three times.  There are no duplicates in

2.  Many assertion errors appear in the startup window when I invoke the

3.  I receive the traceback when I click the Add Group button and then try to
add a new group by name, allowing the tool to choose the GID.


Start s-c-u.  Navigate to the Groups tab. Observe that 2 or 3 entries are shown
in the list for each existing group.  Click to Add Group.  Add a new group by
name and let the GID be chosen automatically.

The application hangs or spins and the dialog for entering the new group name
never exits.

HOW REPRODUCIBLE:  Every time with this version of the tool.

ENVIRONMENT:  I found this while working on a Dell PowerEdge 2900 running RHEL
4 Update 5.  I used X11 forwarding to an OpenSSH client (latest version shipped
with Fedora Core 6).  So the issue is not specific to PuTTY and the original
reporter's Windows X server.  

The PE900 is running the 32-bit version of RHEL4, but on 64-bit dual core Intel
hardware.  I can post the CPU details if that is important.

IMPACT/WORKAROUND:  I removed and installed an earlier version of the took
(4.1) which throws many similar assertion errors and shows multiple entries for
each group but nevertheless manages to add new groups.	The key issue is the
hang, though, because this prevents group management.

I"m updating the bug report because this blocked my work, because my
environment is different from the original reporter's, and because there are
different symptoms which might be relevant to the fix.
Comment 20 errata-xmlrpc 2007-11-15 11:03:04 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.